## mayavi2 4.8.2

=== debian/changelog ===
mayavi2 (4.8.2-4) unstable; urgency=medium

  * Team upload.
  * d/control: switch to Cython 3.x.
  * Replace deprecated/removed imghdr with puremagic package.
    Closes: #1084582
  * Added patch to fix SyntaxWarnings. Closes: #1085686
  * Updated patch metadata, forwarding several upstream.
  * Added patch to migrate from the deprecated pkg_resources to the
    stdlib replacements. Closes: #1083478
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Nov 2024 00:13:19 +0100

mayavi2 (4.8.2-3) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-configobj, now required for apptools.preferences
    (closes: #1082685).

 -- Colin Watson <cjwatson@debian.org>  Tue, 29 Oct 2024 23:51:53 +0000

mayavi2 (4.8.2-2) unstable; urgency=medium

  * Team upload.
  * d/rules: skip the 'test_array2vtk' test that fails on non-amd64 systems.
  * d/control: restrict to 64-bit architectures. Upstream does not support
    32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jul 2024 14:36:36 +0200

mayavi2 (4.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1074586, #1075260, #1076818
  * Standards-Version: 4.6.2 (routine-update)
  * d/watch: removed outdated reference to debian/orig-tar.sh
  * d/patches: removed traitsui-8 &
    681e29acb678f49037df38f99994c86fa767203a, applied upstream.
  * d/control: run the tests using pytest like upstream does
  * d/rules: don't ignore the results of running the tests
  * Use autopkgtest-pkg-pybuild. Closes: #1035165

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jul 2024 11:51:11 +0200

mayavi2 (4.8.1-5) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.7.0
  * Fix FTBS by adding 681e29acb678f49037df38f99994c86fa767203a.patch:
    - the commit is included in 4.8.2
    - the patch handles the case of vtkOpenGLCellGridRenderRequest.ShapesToDraw
      being a char in VTK 9.3.0
    Closes: #1073448

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 30 Jun 2024 19:26:31 +0000

mayavi2 (4.8.1-4) unstable; urgency=medium

  * Team upload.
  * remove extraneous build-dep on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Apr 2024 00:25:50 +0200
