=== debian/control ===
Source: mayavi2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit,
               dh-sequence-python3,
               dh-strip-nondeterminism,
               cython3,
               python3-apptools,
               python3-configobj,
               python3-dev,
               python3-envisage,
               python3-numpy,
               python3-pyface,
               python3-pygments,
               python3-setuptools,
               python3-pytest <!nocheck>,
               python3-traits (>= 6.3.2) <!nocheck>,
               python3-traitsui (>= 7.2.1) <!nocheck>,
               python3-configobj <!nocheck>,
               python3-vtk9,
               xauth,
               xvfb,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/mayavi2
Vcs-Git: https://salsa.debian.org/python-team/packages/mayavi2.git
Homepage: http://code.enthought.com/projects/mayavi/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: mayavi2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         libjs-jquery,
         python3-apptools,
         python3-configobj,
         python3-envisage,
         python3-numpy,
         python3-pkg-resources,
         python3-pyface,
         python3-pygments,
         python3-traits (>= 6.3.2),
         python3-traitsui (>= 7.2.1),
         python3-vtk9,
         python3-puremagic,
Suggests: python3-scipy,
          ipython3
Description: scientific visualization package for 2-D and 3-D data
 MayaVi2 is a cross-platform tool for 2-D and 3-D scientific data
 visualization.  Its features include:
   * Visualization of scalar, vector and tensor data in 2 and 3 dimensions
   * Easy scriptability using Python
   * Easy extendability via custom sources, modules, and data filters
   * Reading several file formats: VTK (legacy and XML), PLOT3D, etc.
   * Saving of visualizations
   * Saving rendered visualization in a variety of image formats.
 .
 MayaVi2 has been designed with scriptability and extensibility in
 mind.  While the mayavi2 application is usable by itself, it may be
 used as an Envisage plugin which allows it to be embedded in user
 applications natively.  Alternatively, it may be used as a
 visualization engine for any application.
 .
 This package also provides TVTK, which wraps VTK objects to provide a
 convenient, Pythonic API, while supporting Traits attributes and
 NumPy/SciPy arrays. TVTK is implemented mostly in pure Python, except
 for a small extension module.
