=== debian/rules ===
#!/usr/bin/make -f

DEB_DESTDIR			 = $(CURDIR)/debian/mayavi2/
JQUERY				 = /usr/share/javascript/jquery/jquery.js
HTMLDOCS                         = /usr/share/doc/mayavi2/html/
PYVERS                           = $(shell pyversions -r -v)
PY3INSTALL			 = /usr/lib/python3/dist-packages/

export DH_VERBOSE=1
export PYBUILD_TEST_ARGS=cd {build_dir} ; LD_PRELOAD=libgomp.so.1 xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" {interpreter} -m pytest -k 'not test_array2vtk'
export PYBUILD_TEST_CUSTOM=1

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_clean:
	rm -rf tvtk/tvtk_classes.zip
	rm -rf docs/build

override_dh_auto_build:
	find $(CURDIR)/* -name '*.pyx' -exec cython3 '{}' ';'
	LD_PRELOAD=libgomp.so.1 xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" dh_auto_build

override_dh_auto_install:
	LD_PRELOAD=libgomp.so.1 xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" dh_auto_install

execute_after_dh_install:
	dh_numpy3
	find $(DEB_DESTDIR) -name 'image_LICENSE.txt' -delete
	find $(DEB_DESTDIR) -name '*.idx' -delete
	find $(DEB_DESTDIR) -name 'jquery.js*' -delete
	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/mayavi2.man*
	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/html.zip
	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/source/mayavi/sphinxext/sphinxext/__init__.pyc
	find  $(DEB_DESTDIR)usr/share/doc -name "*LICENSE*" -delete
	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/CHANGES.txt*

execute_after_dh_installdeb:
	chmod +x $(DEB_DESTDIR)/$(PY3INSTALL)/mayavi/scripts/mayavi2.py
	chmod -x $(DEB_DESTDIR)/$(PY3INSTALL)/mayavi/tests/data/cellsnd.ascii.inp
	chmod -x $(DEB_DESTDIR)/$(PY3INSTALL)/mayavi/tests/data/disk_out_ref.ex2

execute_after_dh_link:
	dh_link $(PY3INSTALL)/mayavi/scripts/mayavi2.py /usr/bin/mayavi2
	dh_link $(JQUERY) /usr/share/doc/mayavi2/docs/build/mayavi/html/jquery.js
	dh_link $(JQUERY) /usr/share/doc/mayavi2/docs/build/tvtk/html/jquery.js

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xpng
