## mayavi2 4.8.3

=== debian/changelog ===
mayavi2 (4.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1092083, #1045730
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches, removing several that were applied upstream.
  * Add missing build dependency on python3-numpy-dev for command dh_numpy3.
  * d/rules: skip flaky test

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Sep 2025 14:58:52 +0200
