=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Section: science
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                architecture-is-64-bit,
@@ -17,18 +18,18 @@
                python3-pygments,
                python3-setuptools,
                python3-pytest <!nocheck>,
-               python3-traits (>= 6.3.2) <!nocheck>,
-               python3-traitsui (>= 7.2.1) <!nocheck>,
+               python3-traits <!nocheck>,
+               python3-traitsui <!nocheck>,
                python3-configobj <!nocheck>,
                python3-vtk9,
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+               python3-numpy-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mayavi2
 Vcs-Git: https://salsa.debian.org/python-team/packages/mayavi2.git
 Homepage: http://code.enthought.com/projects/mayavi/
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: mayavi2
 Architecture: any
@@ -43,10 +44,10 @@
          python3-pkg-resources,
          python3-pyface,
          python3-pygments,
-         python3-traits (>= 6.3.2),
-         python3-traitsui (>= 7.2.1),
+         python3-traits,
+         python3-traitsui,
          python3-vtk9,
-         python3-puremagic,
+         python3-puremagic
 Suggests: python3-scipy,
           ipython3
 Description: scientific visualization package for 2-D and 3-D data
