=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PY3INSTALL			 = /usr/lib/python3/dist-packages/
 
 export DH_VERBOSE=1
-export PYBUILD_TEST_ARGS=cd {build_dir} ; LD_PRELOAD=libgomp.so.1 xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" {interpreter} -m pytest -k 'not test_array2vtk'
+export PYBUILD_TEST_ARGS=cd {build_dir} ; LD_PRELOAD=libgomp.so.1 xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" {interpreter} -m pytest -k 'not (test_array2vtk or test_tvtk_scene)'
 export PYBUILD_TEST_CUSTOM=1
 
 %:
