=== debian/watch ===
version=4
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
https://pypi.debian.net/mayavi/mayavi-(.*).(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
